"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports.transformProductNode = exports.transformOrderNode = exports.types = void 0;

var _gatsbyNodeHelpers = _interopRequireDefault(require("gatsby-node-helpers"));

const types = {
  customer: 'Customer',
  order: 'Order',
  product: 'Product',
  variant: 'Variant',
  lineItem: 'LineItem'
};
exports.types = types;
const {
  createNodeFactory
} = (0, _gatsbyNodeHelpers.default)({
  typePrefix: 'Shopify'
});
const transformOrderNode = createNodeFactory(types.order, order => order);
exports.transformOrderNode = transformOrderNode;
const transformProductNode = createNodeFactory(types.product, product => product);
exports.transformProductNode = transformProductNode;